#!/bin/csh

set specName    = ./ft/test2001.dat
set simName     = sim.ft2
set difName     = dif.ft2
set inTabName   = test.tab
set auxTabName  = aux.tab
set outTabName  = nlin.tab
set errTabName  = err.nlin.tab
set noiseRMS    = 49456.097656

set regSizeX   = 4
set maxDX      = 1.0
set minXW      = 0.0
set maxXW      = 6.93
set simSizeX   = 1024

set regSizeY   = 3
set maxDY      = 1.0
set minYW      = 0.0
set maxYW      = 4.16
set simSizeY   = 256


cp $inTabName $auxTabName


nlinLS -tol 1.0e-8 \
 -in $auxTabName -out $outTabName -data $specName \
 -maxf 750 -iter 750 -apod None -noise $noiseRMS \
 -mod    GAUSS1D  GAUSS1D  \
 -delta  X_AXIS $maxDX  Y_AXIS $maxDY  \
 -limit  XW $minXW $maxXW YW $minYW $maxYW \
 -w      $regSizeX  $regSizeY  \
 -norm -ppm

nmrPipe -in $specName -out $simName -ov \
 -fn SET -r 0.0 -verb

simSpecND -in $outTabName -data $simName \
          -mod   GAUSS1D  GAUSS1D  \
          -w     $simSizeX  $simSizeY  \
          -apod None

addNMR -in1 $specName -in2 $simName -out $difName -sub
